Skip to main content

Booking Comments

Overview​

This resource represents the Booking's Comments. Each Booking can have multiple comments and can be used for putting some extra notes about the Booking itself or as a way of communication between Users having access to the Account about this particular Booking to which the Comment is related to.

Parameters​

NameTypeRead/WriteDescription
accountIntegerReadAccount's ID related to the BookingComment
bookingIntegerReadBooking's ID related to the BookingComment
idIntegerReadBookingComment's id.
contentStringReadBooking Comment's content.
editableBooleanReadBooking Comment can be edited if true is returned.
visible_for_all_account_usersBooleanRead/WriteBooking Comment is visible for every User having access to this Account. Particularly useful if you don't want to expose Comment to Users with cleaner role.
created_atTimeReadBooking Comment's create time.
updated_atTimeReadBooking Comment's update time.

List booking comments​

List all booking_comments for a given account.

GET /booking_comments
response.json
{
"links": {
"booking_comments.account": "https://www.bookingsync.com/api/v3/accounts/{booking_comments.account}",
"booking_comments.booking": "https://www.bookingsync.com/api/v3/bookings/{booking_comments.booking}"
},
"booking_comments": [
{
"links": {
"account": 3,
"booking": 1
},
"id": 3,
"content": "Comment content",
"editable": false,
"created_at": "2026-08-12T03:04:36.417Z",
"updated_at": "2026-08-19T03:04:36.417Z"
}
],
"meta": {}
}

Get a single booking comment​

Returns a single booking_comment identified by ID.

GET /booking_comments/:booking_comment_id
response.json
{
"links": {
"booking_comments.account": "https://www.bookingsync.com/api/v3/accounts/{booking_comments.account}",
"booking_comments.booking": "https://www.bookingsync.com/api/v3/bookings/{booking_comments.booking}"
},
"booking_comments": [
{
"links": {
"account": 3,
"booking": 1
},
"id": 3,
"content": "Comment content",
"editable": false,
"created_at": "2026-08-12T03:04:36.420Z",
"updated_at": "2026-08-19T03:04:36.420Z"
}
],
"meta": {}
}

Create a new booking comment​

Creates a booking_comment for given season.

POST /booking_comments

Update a booking comment​

Returns an updated booking_comment identified by ID.

PUT /booking_comments/:booking_comment_id

Destroy a booking comment​

Required OAuth scope: :bookings_write or :bookings_write_owned

Returns an empty response with 204 No Content status code on success.

DELETE /booking_comments/:booking_comment_id